lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'kraftwerk/version'

Gem::Specification.new do |spec|
  spec.name          = 'kraftwerk'
  spec.version       = Kraftwerk::VERSION
  spec.authors       = ['Paweł Świątkowski']
  spec.email         = ['katafrakt@vivaldi.net']

  spec.summary       = 'Framework for crafting JSON APIs with style'
  spec.homepage      = 'https://gitlab.com/katafrakt/kraftwerk'
  spec.license       = 'MIT'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|example)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'hanami-controller', '~> 2.0.0.alpha'
  spec.add_dependency 'hanami-router', '~> 2.0.0.alpha4'
  spec.add_dependency 'hanami-utils', '~> 2.0.0.alpha'
  spec.add_dependency 'dry-validation', '~> 1.5'
  spec.add_dependency 'dry-auto_inject'
  spec.add_dependency 'dry-container', '~> 0.7'
  spec.add_dependency 'dry-core', '~> 0.5'
  spec.add_dependency 'zeitwerk'

  spec.add_development_dependency 'bundler', '>= 1.16'
  spec.add_development_dependency 'minitest', '~> 5.0'
  spec.add_development_dependency 'rack-test', '~> 1.1'
  spec.add_development_dependency 'rake', '~> 13.0'
  spec.add_development_dependency 'rubocop'
  spec.add_development_dependency 'rubycritic'
  spec.add_development_dependency 'sequel'
  spec.add_development_dependency 'sqlite3'
end
